Loading...
Searching...
No Matches
Magick::colorSpaceImage Class Reference

## Public Member Functions

| colorSpaceImage (ColorspaceType colorSpace_)
void | operator() (Image &image_) const

## Private Attributes

ColorspaceType | _colorSpace

## Detailed Description

Definition at line 253 of file STL.h.

## Constructor & Destructor Documentation

## colorSpaceImage()

Magick::colorSpaceImage::colorSpaceImage | ( | ColorspaceType | colorSpace_ | ) |

Definition at line 217 of file STL.cpp.

: _colorSpace( colorSpace_ )
{
}

## Member Function Documentation

## operator()()

void Magick::colorSpaceImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 221 of file STL.cpp.

{
image_.colorSpace( _colorSpace );
}

## Field Documentation

## _colorSpace

ColorspaceType Magick::colorSpaceImage::_colorSpace

private

Definition at line 261 of file STL.h.

The documentation for this class was generated from the following files:

- STL.h
- STL.cpp